import { Validator } from "./Validator";
import { ValidationError } from "./ValidationError";
import { ValidatorOptions } from "./ValidatorOptions";
/**
 * Executes validation over given object.
 */
export declare class ValidationExecutor {
    private validator;
    private validatorOptions;
    private errors;
    private awaitingPromises;
    private metadataStorage;
    constructor(validator: Validator, validatorOptions?: ValidatorOptions);
    execute(object: Object, targetSchema?: string): Promise<ValidationError[]>;
    private defaultValidations(object, value, metadatas);
    private customValidations(object, value, metadatas);
    private nestedValidations(value, metadatas);
    private createValidationError(object, value, metadata, customValidatorMetadata?);
}
